from app import create_app
from app.config.config import Config  # 新增配置导入

app = create_app()

if __name__ == '__main__':
    # 修改后带端口配置的启动命令
    app.run(
        host='0.0.0.0',
        port=Config.PORT,  # 从配置类获取端口
        debug=Config.DEBUG,
        use_reloader=False if Config.PLATFORM == 'linux' else True
    ) 